#define AMIGA 	0
#define DOS	1
#define WIN16 	0
#define WIN32 	0
#define WINNT 	0
#define OS2 	0
#define UNIX	0

#if AMIGA
  #define DIRSEP '/'
  #define HI_LO_BYTE_ORDER

  #include <error.h>		// errno
  #include <stat.h>		// fstat()
  #include <proto/dos.h>
#endif

#if DOS
  #define DIRSEP '\\'
  #define LO_HI_BYTE_ORDER

  #include <errno.h>		// errno
  #include <mem.h>		// mem*()
  #include <io.h>		// lseek() open() read() write() eof() tell() close()
  #include <conio.h>		// kbhit()
  #include <dos.h>		// delay()
  #include <direct.h>     	// rmdir() mkdir()
  #include <sys\stat.h>   	// S_I*
#endif

#if WINNT || WIN32 || WIN16
  #define DIRSEP '\\'
  #define LO_HI_BYTE_ORDER

  #include <windows.h>		// whole windows stuff
  #include <errno.h>		// errno
  #include <mem.h>		// mem*()
  #include <io.h>		// lseek() open() read() write() eof() tell() close()
  #include <conio.h>		// kbhit()
  #include <dos.h>		// delay()
  #include <direct.h>     	// rmdir() mkdir()
  #include <sys\stat.h>   	// S_I*
#endif

#if OS2  
  #define DIRSEP '\\'
  #define LO_HI_BYTE_ORDER

  #include <errno.h>		// errno
  #include <mem.h>		// mem*()
  #include <io.h>		// lseek() open() read() write() eof() tell() close()
  #include <conio.h>		// kbhit()
  #include <dos.h>		// delay()
  #include <direct.h>     	// rmdir() mkdir()
  #include <sys\stat.h>   	// S_I*
#endif

#if UNIX
  #define DIRSEP '/'
  #define LO_HI_BYTE_ORDER

  #include <errno.h>		// errno
  #include <io.h>	 	// lseek() open() read() write() eof() tell() close()
  #include <dirent.h>		// rmdir() mkdir()
  #include <sys\stat.h>		// S_I*
#endif


/*----------- Attribute constants ------------------------------------------*/
#ifndef _A_SUBDIR
  #define _A_SUBDIR 0x10   	// MS-DOS directory constant
#endif

#ifndef S_IEXEC
  #ifdef S_IEXECUTE
    #define S_IEXEC S_IEXECUTE
  #else
    #define S_IEXEC 0
  #endif
#endif

#ifndef S_IDELETE
  #define S_IDELETE 0
#endif

#ifndef S_IRGRP 
  #define S_IRGRP 0
  #define S_IWGRP 0
#endif

#ifndef S_IROTH 
  #define S_IROTH 0
  #define S_IWOTH 0
#endif
